[PATCH 2/6] perf-test: add simple memory tests for notmuch-show

Subject: [PATCH 2/6] perf-test: add simple memory tests for notmuch-show

Date: Sat, 18 Mar 2017 14:50:34 -0300

To: notmuch@notmuchmail.org

Cc:

From: David Bremner


These are probably too slow to run with the full corpus
---
 performance-test/M02-show.sh | 13 +++++++++++++
 1 file changed, 13 insertions(+)
 create mode 100755 performance-test/M02-show.sh

diff --git a/performance-test/M02-show.sh b/performance-test/M02-show.sh
new file mode 100755
index 00000000..d73035ea
--- /dev/null
+++ b/performance-test/M02-show.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+test_description='show'
+
+. ./perf-test-lib.sh || exit 1
+
+memory_start
+
+memory_run 'show *' "notmuch show '*' 1>/dev/null"
+memory_run 'show --format=json *' "notmuch show --format=json '*' 1>/dev/null"
+memory_run 'show --format=sexp *' "notmuch show --format=sexp '*' 1>/dev/null"
+
+memory_done
-- 
2.11.0


Thread: